version: '2'
services:
  minio:
    image: minio/minio
    ports:
      - "9000:9000"
    environment:
      - MINIO_ROOT_PASSWORD=password
      - MINIO_ROOT_USER=root
    volumes:
      - ./data/minio_store:/data
    command: server /data
    network_mode: "bridge"
  rabbitmq:
    image: docker.io/bitnami/rabbitmq:3.9
    ports:
      - '4369:4369'
      - '5551:5551'
      - '5552:5552'
      - '5672:5672'
      - '25672:25672'
      - '15672:15672'
    environment:
      - RABBITMQ_SECURE_PASSWORD=yes
      - RABBITMQ_VM_MEMORY_HIGH_WATERMARK=100%
      - RABBITMQ_DISK_FREE_ABSOLUTE_LIMIT=20Gi
    network_mode: "bridge"
    volumes:
      - /opt/bitnami/rabbitmq/.rabbitmq/:/data/bitnami
volumes:
  mdata: